#ifndef EEP_I2C_H
#define EEP_I2C_H

#include "stdint.h"

uint8_t EEP_ReadBegin(uint16_t AAddress);
uint8_t EEP_ReadByte(uint8_t *AByte);
uint8_t EEP_ReadBlock(uint16_t ALength, uint8_t *ABlock);
uint8_t EEP_ReadEnd();

uint8_t EEP_WriteBegin(uint16_t AAddress);
uint8_t EEP_WriteByte(uint8_t AByte);
uint8_t EEP_WriteBlock(uint16_t ALength, uint8_t *ABlock);
uint8_t EEP_WriteEnd();

#endif

