#ifndef EEP_I2C_SETTINGS_H
#define EEP_I2C_SETTINGS_H

#define EEPROM_I2C_ADDRESS             0xA0      //i2c address of EEPROM

#define EEPROM_I2C_PAGE_WRITE_SIZE     128       //EEPROM page write size (0=disabled for memory not limited by page writing such as FRAM)

#define EEPROM_I2C_BYTE_ADDRESSING     2         //1=one byte, 2=two byte

#define EEPROM_I2C_ACK_TIMEOUT_MS      20        //maximum timeout waiting for ack

#endif

