#ifndef TWI_BITBANG_SETTINGS_H
#define TWI_BITBANG_SETTINGS_H

#define EEPROM_I2C_SDA_PORT            PORTC     //SDA port
#define EEPROM_I2C_SDA_PIN             4         //SDA pin
#define EEPROM_I2C_SCL_PORT            PORTC     //SCL port
#define EEPROM_I2C_SCL_PIN             5         //SCL pin

#define EEPROM_BB_QCLOCK_DELAY_CYCLES  5         //qclock delay cycle effect on bit rate
                                                 //must be >=1
                                                 //F_CPU/(22+4*QCLOCK_CYCLES)=I2C_FREQ
                                                 //(F_CPU/I2C_FREQ-22)/4=QCLOCK_CYCLES

                                                 //F_CPU->     4MHz  6MHz  8MHz 10MHz 12MHz 16MHz 20MHz
                                                 //1 fastest   154k  231k  308k  385k  462k  615k  769k

                                                 //near 100k      5    10    15    20    25    35    45
                                                 //near 400k                        1     2     5     7

#endif

