#ifndef TWI_TINYMEGA_SETTINGS_H
#define TWI_TINYMEGA_SETTINGS_H

#define EEPROM_I2C_SDA_PORT            PORTC     //SDA port
#define EEPROM_I2C_SDA_PIN             4         //SDA pin
#define EEPROM_I2C_SCL_PORT            PORTC     //SCL port
#define EEPROM_I2C_SCL_PIN             5         //SCL pin

#define EEPROM_I2C_TWI_BIT_RATE        2        //twi bit rate     F_CPU/(16+2*TWBR)=I2C_FREQ
                                                 //must be >=1

                                                 //F_CPU->  4MHz  6MHz  8MHz 10MHz 12MHz 16MHz 20MHz
                                                 //100kHz     12    22    32    42    52    72    92
                                                 //200kHz      2     7    12    17    22    32    42
                                                 //400kHz                  2           7    12    17
                                                 //800kHz                                    2
                                                 //1MHz                                            2

#endif

